MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004980ardourbugspublic2012-07-02 08:502016-02-03 16:56
ReporterBenSpector 
Assigned Totimbyr 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.0Fixed in Version4.7 
Summary0004980: Duplicating range selections more then once doesn't function well
DescriptionWhen duplicating a range selection, the first time works fine, on the second time, instead of duplicating the duplicated region, like other DAWs will do, ardour will duplicate the first one again, which has no use.
I've uploaded two movies, one from ardour and one from PT.
TagsNo tags attached.
Attached Filesmov file icon Ardour.mov [^] (368,159 bytes) 2012-07-02 08:50
mov file icon Protools.mov [^] (348,206 bytes) 2012-07-02 08:50

- Relationships

-  Notes
(0013797)
paul (administrator)
2012-07-06 11:17

the title here is wrong. this isn't related to duplicating regions.
(0013807)
BenSpector (reporter)
2012-07-08 02:02

OK, you are right.
There is no way to duplicate object selected regions, right?
(0013811)
paul (administrator)
2012-07-08 07:16

sure there is. its on the "d" key by default. shift-d pops up a dialog to allow for multiple duplication i.e. "duplicate the selected regions 8 times".
(0017852)
timbyr (developer)
2016-01-27 20:00

Duplicate range selection has been changed in Ardour master branch as of commit 45e8bda65f or a nightly build >= 4.6.137 to behave like in the Protools example attached to this report.

Confirmation from the reporter that the change is as requested is appreciated but as the bug is several years old if there is no response after a week or so I will mark as resolved.

- Issue History
Date Modified Username Field Change
2012-07-02 08:50 BenSpector New Issue
2012-07-02 08:50 BenSpector File Added: Ardour.mov
2012-07-02 08:50 BenSpector File Added: Protools.mov
2012-07-02 14:43 cth103 cost => 0.00
2012-07-02 14:43 cth103 Target Version => 3.0
2012-07-06 11:17 paul Note Added: 0013797
2012-07-06 11:18 paul Summary Duplicating regions more then once doesn't function well => Duplicating range selections more then once doesn't function well
2012-07-08 02:02 BenSpector Note Added: 0013807
2012-07-08 07:16 paul Note Added: 0013811
2016-01-27 20:00 timbyr Note Added: 0017852
2016-01-27 20:00 timbyr Assigned To => timbyr
2016-01-27 20:00 timbyr Status new => feedback
2016-02-03 16:56 timbyr Status feedback => resolved
2016-02-03 16:56 timbyr Fixed in Version => 4.7
2016-02-03 16:56 timbyr Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker